## gimppixbuf gimppixbuf — Get a thumbnail pixbuf for a drawable or image. |

## Functions

GdkPixbuf * | gimp_image_get_thumbnail ()
GdkPixbuf * | gimp_drawable_get_thumbnail ()
GdkPixbuf * | gimp_drawable_get_sub_thumbnail ()

## Types and Values

enum | GimpPixbufTransparency

## Description

Get a thumbnail pixbuf for a drawable or image.

## Functions

### gimp_image_get_thumbnail ()

    GdkPixbuf *
    gimp_image_get_thumbnail (gint32 image_ID,
                              gint width,
                              gint height,
                              GimpPixbufTransparency alpha);

Retrieves a thumbnail pixbuf for the image identified by `image_ID` . The thumbnail will be not larger than the requested size.

#### Parameters

image_ID | the image ID |
width | the requested thumbnail width (<= 1024 pixels) |
height | the requested thumbnail height (<= 1024 pixels) |
alpha | how to handle an alpha channel |

#### Returns

a new GdkPixbuf

Since: 2.2

### gimp_drawable_get_thumbnail ()

    GdkPixbuf *
    gimp_drawable_get_thumbnail (gint32 drawable_ID,
                                 gint width,
                                 gint height,
                                 GimpPixbufTransparency alpha);

Retrieves a thumbnail pixbuf for the drawable identified by `drawable_ID` . The thumbnail will be not larger than the requested size.

#### Parameters

drawable_ID | the drawable ID |
width | the requested thumbnail width (<= 1024 pixels) |
height | the requested thumbnail height (<= 1024 pixels) |
alpha | how to handle an alpha channel |

#### Returns

a new GdkPixbuf

Since: 2.2

### gimp_drawable_get_sub_thumbnail ()

    GdkPixbuf *
    gimp_drawable_get_sub_thumbnail (gint32 drawable_ID,
                                     gint src_x,
                                     gint src_y,
                                     gint src_width,
                                     gint src_height,
                                     gint dest_width,
                                     gint dest_height,
                                     GimpPixbufTransparency alpha);

Retrieves a thumbnail pixbuf for the drawable identified by `drawable_ID` . The thumbnail will be not larger than the requested size.

#### Parameters

drawable_ID | the drawable ID |
src_x | the x coordinate of the area |
src_y | the y coordinate of the area |
src_width | the width of the area |
src_height | the height of the area |
dest_width | the requested thumbnail width (<= 1024 pixels) |
dest_height | the requested thumbnail height (<= 1024 pixels) |
alpha | how to handle an alpha channel |

#### Returns

a new GdkPixbuf

Since: 2.2

## Types and Values

### enum GimpPixbufTransparency

How to deal with transparency when creating thubnail pixbufs from images and drawables.

#### Members

GIMP_PIXBUF_KEEP_ALPHA | Create a pixbuf with alpha |
GIMP_PIXBUF_SMALL_CHECKS | Show transparency as small checks |
GIMP_PIXBUF_LARGE_CHECKS | Show transparency as large checks |